## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-ibm-cloud-sdk-core
Epoch:          2
Version:        3.23.0
Release:        %autorelease
Summary:        Core library used by SDKs for IBM Cloud Services

License:        Apache-2.0
URL:            https://github.com/IBM/python-sdk-core
Source0:        %{pypi_source ibm_cloud_sdk_core}
# both patches relax dependency on urllib.
# they can be removed when urllib3 is rebased to 2.x
Patch0:         fix-deps.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
The python-sdk-core repository contains core functionality required by Python
code generated by the IBM OpenAPI SDK Generator.
}


%description %_description

%package -n     python3-ibm-cloud-sdk-core
Summary:        %{summary}

%description -n python3-ibm-cloud-sdk-core %_description


%prep
%autosetup -p1 -n ibm_cloud_sdk_core-%{version}
echo > requirements-dev.txt

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install


%check
# some tests requires internet connections or credentials
# %%pytest --strict-markers --verbose --tb=long test

%files -n python3-ibm-cloud-sdk-core
%doc README.md
%license LICENSE
%{python3_sitelib}/ibm_cloud_sdk_core
%{python3_sitelib}/ibm_cloud_sdk_core-%{version}.dist-info/

%changelog
## START: Generated by rpmautospec
* Fri Mar 07 2025 Packit <hello@packit.dev> - 2:3.23.0-1
- Update to 3.23.0 upstream release
- Resolves: rhbz#2350741

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2:3.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Packit <hello@packit.dev> - 2:3.22.1-1
- Update to 3.22.1 upstream release
- Resolves: rhbz#2336852

* Tue Oct 15 2024 Packit <hello@packit.dev> - 2:3.22.0-1
- Update to 3.22.0 upstream release
- Resolves: rhbz#2318787

* Mon Sep 30 2024 Miroslav Suchý <msuchy@redhat.com> - 2:3.21.0-4
- directory test is not installed any more

* Mon Sep 30 2024 Miroslav Suchý <msuchy@redhat.com> - 2:3.21.0-3
- rebase fix-deps patch

* Mon Sep 30 2024 Miroslav Suchý <msuchy@redhat.com> - 2:3.21.0-2
- fix the name of tarball

* Thu Sep 26 2024 Packit <hello@packit.dev> - 2:3.21.0-1
- Update to 3.21.0 upstream release
- Resolves: rhbz#2300892

* Thu Sep 26 2024 Miroslav Suchý <msuchy@redhat.com> - 2:3.20.4-2
- implement change of names on pypi

* Thu Sep 12 2024 Packit <hello@packit.dev> - 2:3.20.4-1
- Update to 3.20.4 upstream release
- Resolves: rhbz#2300892

* Thu Sep 12 2024 Miroslav Suchý <msuchy@redhat.com> - 2:3.20.3-3
- update deps patch

* Thu Sep 12 2024 Miroslav Suchý <msuchy@redhat.com> - 2:3.20.3-2
- backoff patch is not needed anymore

* Thu Sep 12 2024 Miroslav Suchý <msuchy@redhat.com> - 2:3.20.3-1
- sync with 41

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 1:3.20.3-2
- patch: do not use backoff_max from Retry as that requires urllib3 in 2.x

* Mon Jul 22 2024 Packit <hello@packit.dev> - 1:3.20.3-1
- Update to 3.20.3 upstream release
- Resolves: rhbz#2275768

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.18.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1:3.18.2-2
- Rebuilt for Python 3.13

* Mon Mar 11 2024 Miroslav Suchý <msuchy@redhat.com> - 1:3.18.2-1
- revert to 3.18.2

* Mon Mar 11 2024 Miroslav Suchý <msuchy@redhat.com> - 1:3.19.2-2
- use autorelease

* Mon Mar 11 2024 Miroslav Suchý <msuchy@redhat.com> - 1:3.19.2-1
- add epoch to allow downgrade to last working release

* Wed Feb 28 2024 Packit <hello@packit.dev> - 3.19.2-1
- [packit] 3.19.2 upstream release
- Resolves rhbz#2266688

* Wed Jan 24 2024 Packit <hello@packit.dev> - 3.19.1-1
- [packit] 3.19.1 upstream release
- Resolves rhbz#2259660

* Mon Jan 22 2024 Packit <hello@packit.dev> - 3.19.0-1
- [packit] 3.19.0 upstream release
- Resolves rhbz#2259660

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 12 2023 Miroslav Suchý <msuchy@redhat.com> - 3.18.2-2
- rebase patch

* Mon Dec 11 2023 Packit <hello@packit.dev> - 3.18.2-1
- [packit] 3.18.2 upstream release
- Resolves rhbz#2254090

* Thu Nov 16 2023 Miroslav Suchý <msuchy@redhat.com> - 3.18.0-3
- packit: remove issue repository

* Thu Nov 16 2023 Miroslav Suchý <msuchy@redhat.com> - 3.18.0-2
- rebase patch

* Wed Nov 15 2023 Packit <hello@packit.dev> - 3.18.0-1
- [packit] 3.18.0 upstream release
- Resolves rhbz#2248171

* Thu Oct 26 2023 Miroslav Suchý <msuchy@redhat.com> - 3.17.1-3
- rebase the patch

* Thu Oct 26 2023 Miroslav Suchý <msuchy@redhat.com> - 3.17.1-2
- rebase the patch

* Wed Oct 04 2023 Packit <hello@packit.dev> - 3.17.1-1
- [packit] 3.17.1 upstream release

* Wed Oct 04 2023 Packit <hello@packit.dev> - 3.17.0-1
- [packit] 3.17.0 upstream release

* Wed Oct 04 2023 Miroslav Suchý <msuchy@redhat.com> - 3.16.7-4
- the produced changelog is ugly, switch it off

* Wed Oct 04 2023 Miroslav Suchý <msuchy@redhat.com> - 3.16.7-3
- add version template

* Wed Oct 04 2023 Miroslav Suchý <msuchy@redhat.com> - 3.16.7-2
- add packit pull-from-upstream configuration

* Wed Aug 16 2023 Pavel Raiskup <praiskup@redhat.com> - 3.16.7-1
- New upstream release

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 3.16.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 30 2022 Miroslav Suchý <msuchy@redhat.com> - 3.16.0-1
- Update python-ibm-cloud-sdk-core to 3.16.0-2

* Tue Aug 02 2022 Pavel Raiskup <praiskup@redhat.com> - 3.15.3-1
- New upstream version

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.15.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 3.15.1-2
- Rebuilt for Python 3.11

* Sun May 22 2022 Miroslav Suchý <msuchy@redhat.com> - 3.15.1-1
- Update python-ibm-cloud-sdk-core to 3.15.1-2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 14 2021 Miroslav Suchý <msuchy@redhat.com> - 3.13.2-1
- initial import
## END: Generated by rpmautospec
